@goto start
@REM ---------------------------------------------------------------------------
@REM 	
@REM 	Module Name: tbuilder.bat
@REM 	
@REM 	Batch file for running the Template Builder java application.
@REM 	
@REM 	Lotus Development Corp.
@REM 	Copyright (c)1992-1998 Lotus Development Corp.
@REM 
@REM ------------------------------------------------------------------------
:start
@if "%ECHO_FLAG%"=="" set ECHO_FLAG=OFF
@echo %ECHO_FLAG%

:init
   if "%OS%" == "Windows_NT" setlocal
   set OLD_TB_CP=%TB_CP%
	set OLD_CLASSPATH=%CLASSPATH%
	set JAVA_DIR=
	set JARS_DIR=

@rem Check command line options.
set _args_=
:optchk
	if "%1"==""						goto aftsets

	if "%1"=="-h"					goto usage
	if "%1"=="-H"					goto usage
	if "%1"=="-?"					goto usage

	if "%1"=="-jars"				goto sjars
	if "%1"=="-JARS"				goto sjars

	if "%1"=="-java"				goto sjava
	if "%1"=="-JAVA"				goto sjava

   @rem Unrecognized arguments are added to the argument list as-is
	set _args_=%_args_% %1
	shift
	goto :optchk

:aftshift

goto aftsets
@rem Process command line options
:sjars
	shift
	set JARS_DIR=%1
	shift
	goto optchk

:sjava
	shift
	set JAVA_DIR=%1
	shift
	goto optchk

:aftsets

@rem Set up a minimal CLASSPATH if we don't have one but were given a JAVA_DIR
    if NOT "%CLASSPATH%" == "" goto cwd
    if "%JAVA_DIR%" == "" goto usage
    set CLASSPATH="%JAVA_DIR%\lib\classes.zip;."

:cwd
@rem Verify the current directory is where tbuilder.bat is

    if exist .\tbuilder.bat goto aftcwd
    echo This batch file must be run from the current directory.
    goto ropend

:aftcwd

:setdflts
@rem add the argument that tells the template builder where it's properties file is
    if "%JARS_DIR%" == "" set JARS_DIR=..\jars\
    if NOT "%JAVA_DIR%" == "" set JAVA_VM_DIR=%JAVA_DIR%\bin\

@rem run out of the known jar files ONLY
    if "%TB_CP%"== "" goto :usejars

    @rem use current directory
    set TB_TYPE=current directory
    set TB_CP="%CLASSPATH%;."
    echo usecwd - %TB_CP%
    goto :doit

:usejars
    set TB_TYPE=JARS
    set TB_CP="%CLASSPATH%;%JARS_DIR%devpack_chart_app.jar;%JARS_DIR%devpack_graphics_app.jar;%JARS_DIR%devpack_scheduler_app.jar;%JARS_DIR%devpack_sheet_app.jar;%JARS_DIR%devpack_wp_app.jar"
    goto :doit

:doit

	@rem Temporarily unset the CLASSPATH 
   set CLASSPATH=

@rem if JAVA_DIR is not set, java must be found on the path

@rem    USE JDK's java

    echo Using %JAVA_VM_DIR%java, classes from %TB_TYPE%
    %JAVA_VM_DIR%java -classpath %TB_CP% lotus.fc.TemplateBuilder -TBHelp=.\TemplateBuilder.properties -CODEBASE=.. -DOCBASE=.. %_args_%

    goto :end

:usage

   echo usage:  %0 (-option path) (-option=value)...
   echo batch file options:
   echo.
   echo -JAVA path      Sets location of the JDK to use to "path" (e.g. d:\jdk1.1.3).
   echo                 If you specify a JAVA path the java classes (classes.zip)
   echo                 will be loaded from that path.  If you do not specify,
   echo                 the VM and core classes will load from the path and 
   echo                 CLASSPATH environment variable, respectively.
   echo -JARS path      Sets location of the devpack JARs to use.  Must include
   echo                 a trailing backslash (e.g. d:\eSuiteDPP\).  Default is
   echo                 "..\jars\".
   echo -H, -?          Displays this list
   echo.
   echo Some Template Builder application options, see documentation for a complete 
   echo list:
   echo.
   echo -CODEBASE={path}                    - set CODEBASE (defaults to "..")
   echo -DOCBASE={path}                     - set DOCUMENTBASE (defaults to "..")
   echo -LOCALE={2-char Locale designation} - set Locale of the template builder
   echo -TBHELP={pathname}                  - location of TemplateBuilder.properties 
   echo                                       file (defaults to ".")
   echo.

   goto :end

:end

	set CLASSPATH=%OLD_CLASSPATH%
	set OLD_CLASSPATH=

:ropend

	set JAVA_DIR=
	set JARS_DIR=
	set _args_=
   set TB_CP=%OLD_TB_CP%
   set TB_TYPE=
   set JAVA_VM_DIR=

   if "%OS%" == "Windows_NT" endlocal
